<!DOCTYPE html>
<html>
<head>
	<title>Exporter un ficher texte depuis javaScript sur le server</title>
	<style>
		body {
			background-color: orange;
		}
		#ma_balise {
			border: 10px solid;
			padding: 50px;
		}
	</style>


</head>
<body onload="lire_fichier()">

<div id="ma_balise"></div>

<script src="jquery-3.1.1.min.js"></script>
<script src="function.js"></script>
<script>
	function lire_fichier() {
		$.ajax({
			type:"GET",
			url: "test.txt",
			error:function(msg) {
				 // Message en cas d'erreur : 
				 alert( " Error ! : " + msg ); 
			},
			success:function(data){
				// affiche le contenu du fichier dans le conteneur dédié 
				$('#ma_balise').text(data);
			}
	});
}
</script>
</body>
</html>